Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159354 - Dead directory within NFS file system
Summary: Dead directory within NFS file system
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-01 20:51 UTC by Matt Siemens
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-30 13:58:36 UTC


Attachments (Terms of Use)

Description Matt Siemens 2005-06-01 20:51:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
We have an NFS file server that exports /exports/www, which get mounted by a pool of web servers.  There is a directory called tmp within /exports/www, amount others, that centrally stores session files shared amoung the web server pool.

Today we had a problem with one of the web server nodes where the directory /exports/www/tmp was no longer accessible.  When I ran a "ls -l" on the NFS mounted filesystem, this is what showed up:

(root@www12) /exports/www> ls -l
drwxrwx---  277 root apache 8192 Jun  1 10:24 logs
drwxrwx---    2 root apache 8192 May 30 16:05 html
?---------    ? ?    ?         ?            ? tmp

The first two directories appeared to work just fine, but for some reason the tmp folder could no longer be accessed.  We've been using NFS this way for months and have never seen anything like this.  Can anyone else confirm this behaviour?

Upon unmounting /exports/www and then mounting it again, everything was okay.

We're using NFS version 3 over TCP/IP, mounting the NFS filesystem from a server connected to the same subnet.


Version-Release number of selected component (if applicable):
kernel-2.6.11-1.27_FC3 nfs-utils-1.0.6-52

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
I'm not sure how to reproduce this problem.

Additional info:

Comment 1 Steve Dickson 2005-09-06 12:39:28 UTC
Has this happen with more recent kernels?

Comment 2 John Thacker 2006-04-30 13:58:36 UTC
No response from reporter to request for info.
FC3 is now the responsibility of Fedora Legacy, and this
does not seem to be a security issue.

If the problem still occurs in FC4 or FC5, please reopen
and update with new information.


Note You need to log in before you can comment on or make changes to this bug.